# Update a Condition Type Updates a Condition Type in the Compensation Condition Types table. The version property must be provided within the oldValues. Endpoint: POST /update/COCT Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.uniqueName` (string) - `data.label` (string) - `data.userGroupEdit` (string) - `data.userGroupViewDetails` (string) - `data.typedId` (string) - `oldValues` (object) - `oldValues.version` (integer, required) - `oldValues.formulaName` (string,null) - `oldValues.waterfallElement` (string,null) - `oldValues.createDate` (string) - `oldValues.createdBy` (integer) - `oldValues.lastUpdateDate` (string) - `oldValues.lastUpdateBy` (integer) - `oldValues.attribute1` (any) - `oldValues.attribute2` (any) - `oldValues.attribute3` (any) - `oldValues.attribute4` (any) - `oldValues.attribute5` (any) - `oldValues.attribute6` (any) - `oldValues.attribute7` (any) - `oldValues.attribute8` (any) - `oldValues.attribute9` (any) - `oldValues.attribute10` (any) - `oldValues.attribute11` (any) - `oldValues.attribute12` (any) - `oldValues.attribute13` (any) - `oldValues.attribute14` (any) - `oldValues.attribute15` (any) - `oldValues.attribute16` (any) - `oldValues.attribute17` (any) - `oldValues.attribute18` (any) - `oldValues.attribute19` (any) - `oldValues.attribute20` (any) - `oldValues.attribute21` (any) - `oldValues.attribute22` (any) - `oldValues.attribute23` (any) - `oldValues.attribute24` (any) - `oldValues.attribute25` (any) - `oldValues.attribute26` (any) - `oldValues.attribute27` (any) - `oldValues.attribute28` (any) - `oldValues.attribute29` (any) - `oldValues.attribute30` (any) - `operationType` (string) - `textMatchStyle` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.uniqueName` (string) A unique identifier name, given by an implementation engineer. - `response.data.typedId` (string) - `response.data.label` (string) A name of the Compensation Condition Type, visible to business users when selecting a type of new line on a Compensation Plan. - `response.data.formulaName` (string,null) A compensation condition logic. This logic is used to calculate all following: - COLI – compensation line item – for draft / editable document - COLI – compensation line item – for approved/read-only document - COR – Compensation Record - `response.data.waterfallElement` (string,null) Stands for a name of a waterfall element which will contain the compensation money amount calculated by this compensation condition type. The actual usage of this setting is up to the implementation engineer who has to use this value then in another logic (e.g. in the Quote Line Item logic). - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (integer) - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.version` (integer) - `response.data.attribute1` (any) - `response.data.attribute2` (any) - `response.data.attribute3` (any) - `response.data.attribute4` (any) - `response.data.attribute5` (any) - `response.data.attribute6` (any) - `response.data.attribute7` (any) - `response.data.attribute8` (any) - `response.data.attribute9` (any) - `response.data.attribute10` (any) - `response.data.attribute11` (any) - `response.data.attribute12` (any) - `response.data.attribute13` (any) - `response.data.attribute14` (any) - `response.data.attribute15` (any) - `response.data.attribute16` (any) - `response.data.attribute17` (any) - `response.data.attribute18` (any) - `response.data.attribute19` (any) - `response.data.attribute20` (any) - `response.data.attribute21` (any) - `response.data.attribute22` (any) - `response.data.attribute23` (any) - `response.data.attribute24` (any) - `response.data.attribute25` (any) - `response.data.attribute26` (any) - `response.data.attribute27` (any) - `response.data.attribute28` (any) - `response.data.attribute29` (any) - `response.data.attribute30` (any) - `response.status` (integer)